MuleCredentials (Mule ESB 2.2.1 API)
Keywords: org.mule.security.MuleCredentials class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.security
Class MuleCredentials

    java.lang.Object
      org.mule.security.MuleCredentials

All Implemented Interfaces:
  Credentials

    public class MuleCredentials

extends Object
implements Credentials

`MuleCredentials` can be used to read and set Mule user information that can be stored in a message header.

Field Summary
`static String` | `TOKEN_DELIM`

Constructor Summary
`MuleCredentials(String username, char[] password)`
`MuleCredentials(String username, char[] password, Object roles)`
`MuleCredentials(String header, SecurityManager sm)`

Method Summary
`static String` | `createHeader(String username, char[] password)`
`static String` | `createHeader(String username, String password, String encryptionName, EncryptionStrategy es)`
`char[]` | `getPassword()`
`Object` | `getRoles()`
`String` | `getToken()`
`String` | `getUsername()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOKEN_DELIM

    public static final String TOKEN_DELIM

See Also:
  Constant Field Values

Constructor Detail

### MuleCredentials

    public MuleCredentials(String username,
                           char[] password)

### MuleCredentials

    public MuleCredentials(String username,
                           char[] password,
                           Object roles)

### MuleCredentials

    public MuleCredentials(String header,
                           SecurityManager sm)
                    throws EncryptionStrategyNotFoundException,
                           CryptoFailureException

Throws:
  `EncryptionStrategyNotFoundException`
  `CryptoFailureException`

Method Detail

### getToken

    public String getToken()

### getUsername

    public String getUsername()

  Specified by:
    `getUsername` in interface `Credentials`

### getPassword

    public char[] getPassword()

  Specified by:
    `getPassword` in interface `Credentials`

### getRoles

    public Object getRoles()

  Specified by:
    `getRoles` in interface `Credentials`

### createHeader

    public static String createHeader(String username,
                                      char[] password)

### createHeader

    public static String createHeader(String username,
                                      String password,
                                      String encryptionName,
                                      EncryptionStrategy es)
                               throws CryptoFailureException

  Throws:
    `CryptoFailureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.